//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <Dialogs.hpp>
#include "ImageEnIO.hpp"
#include "ImageEnProc.hpp"
#include "ImageEnView.hpp"
#include "VideoCap.hpp"
#include "IEOpenSaveDlg.hpp"
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TGroupBox *GroupBox1;
	TSpeedButton *SpeedButton2;
	TLabel *Label5;
	TLabel *Label6;
	TCheckBox *CheckBox1;
	TImageEnVideoView *ImageEnVideoView1;
	TGroupBox *GroupBox4;
	TLabel *Label9;
	TButton *Button5;
	TButton *Button6;
	TButton *Button7;
	TEdit *Edit3;
	TUpDown *UpDown2;
	TGroupBox *GroupBox5;
	TSpeedButton *SpeedButton1;
	TButton *Button1;
	TButton *Button2;
	TButton *Button11;
	TLabel *Label8;
	TGroupBox *GroupBox3;
	TSpeedButton *SpeedButton6;
	TLabel *Label2;
	TLabel *Label3;
	TButton *Button8;
	TEdit *Edit1;
	TEdit *Edit2;
	TUpDown *UpDown1;
	TGroupBox *GroupBox6;
	TSpeedButton *SpeedButton5;
	TLabel *Label7;
	TComboBox *ComboBox1;
	TGroupBox *GroupBox2;
	TLabel *Label1;
	TImageEnView *ImageEnView1;
	TImageEnProc *ImageEnProc1;
	TImageEnIO *ImageEnIO1;
	TImageEnProc *ImageEnProc2;
	TSaveImageEnDialog *SaveImageEnDialog1;
	void __fastcall SpeedButton2Click(TObject *Sender);
	void __fastcall CheckBox1Click(TObject *Sender);
	void __fastcall SpeedButton1Click(TObject *Sender);
	void __fastcall Button1Click(TObject *Sender);
	void __fastcall Button2Click(TObject *Sender);
	void __fastcall Button5Click(TObject *Sender);
	void __fastcall Button6Click(TObject *Sender);
	void __fastcall Button7Click(TObject *Sender);
	void __fastcall SpeedButton5Click(TObject *Sender);
	void __fastcall ImageEnVideoView1VideoFrame(TObject *Sender,
          Graphics::TBitmap *Bitmap);
	void __fastcall Button11Click(TObject *Sender);
	void __fastcall FormActivate(TObject *Sender);
	void __fastcall SpeedButton6Click(TObject *Sender);
	void __fastcall Button8Click(TObject *Sender);
	void __fastcall ImageEnVideoView1Job(TObject *Sender, TIEJob job,
          int per);
	void __fastcall UpDown2Click(TObject *Sender, TUDBtnType Button);
private:
    void DisplayVideoSize();	// User declarations
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
